<template>
  <div class="Header">
    <div class="H_content com-container">
        <div class="image">
          <img :src="system_logo" alt="" />
        </div>
        <div class="right" v-if="!isLogin">
          <span @mouseenter="onMouserEnter(false)" :class="isHover?'':'is-hover'" @click="toLogin">登录</span>
          <span @mouseenter="onMouserEnter(true)" :class="isHover?'is-hover':''" @click="toRegister">注册</span>
        </div>
      <div class="right" v-else>
        <el-dropdown @command="handleCommand" trigger="click">
          <div class="el-dropdown-link">
            <img src="@/assets/img/default.svg" class="img_user" />
            <span class="phone">{{ phone }}</span>
            <i class="el-icon-arrow-down el-icon--right"></i>
          </div>
          <el-dropdown-menu slot="dropdown">
            <el-dropdown-item command="1" @click="toCenter">
              <i class="el-icon-switch-button"></i>个人中心</el-dropdown-item
            >
            <el-dropdown-item command="2" @click="logout">
              <i class="el-icon-switch-button"></i>退出</el-dropdown-item
            >
          </el-dropdown-menu>
        </el-dropdown>
      </div>
    </div>
  </div>
</template>
<script>
/* eslint-disable */
import {logout} from "r/index/login";

export default {
  name: "Header",
  data() {
    return {
      isHover: true,
      system_logo: window.localStorage.getItem("system_logo"),
      isLogin:false,
      phone: window.localStorage.getItem("phone"),

    };
  },
  created() {
    this.isLogin = !!localStorage.getItem("index-token");
  },
  methods: {
    toLogin() {
      let code = localStorage.getItem("index-identity");
      this.$router.push("/login?code="+code);
    },
    handleCommand(command) {
      if (command == 2) {
        this.logout();
      }
      if (command == 1) {
        this.toCenter();
      }
    },
    toCenter(){
      let code = localStorage.getItem("index-identity");
      this.$router.replace("/signUp/examInfo?code="+code);
    },
    toRegister() {
      let code = localStorage.getItem("index-identity");
      this.$router.push("/register?code="+code);
    },
    async logout() {
      const confirmResult = await this.$confirm(`确认退出登录？`, "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        closeOnClickModal: false,
        type: "warning",
      }).catch((err) => err);
      if (confirmResult !== "confirm")
        return this.$message.info("您取消了退出");

      await logout({});
      // if (res.code !== 200) return this.$message.error(res.message);
      // 清除本地缓存除了大学logo
      // window.localStorage.clear();
      window.localStorage.removeItem("doubt_code");
      window.localStorage.removeItem("doubt_info");
      window.localStorage.removeItem("doubt_check");
      // window.localStorage.removeItem("index-identity");
      window.localStorage.removeItem("index-token");
      window.localStorage.removeItem("phone");
      window.localStorage.removeItem("camp_name");
      window.localStorage.removeItem("system_color");
      window.localStorage.removeItem("has_amount");
      window.localStorage.removeItem("campsite_id");
      window.localStorage.removeItem("order_no");
      window.localStorage.removeItem("campindex_type");
      // this.$store.state.token = "";
      // 使用编程式导航跳转到登录页面
      // this.$router.push({ name: "recruit" });
      let code = localStorage.getItem("index-identity");
      this.$router.replace("/"+code);
    },
    onMouserEnter(val){
      this.isHover = val;
    },
  },
};
</script>
<style  lang="scss" scoped>
  @import "a/scss/common";
  .Header {
    font-family: PingFang SC;
    height: 80px;
    box-shadow: 0px 0px 12px 0px rgba(0, 0, 0, 0.12);
    .H_content {
      height: 100%;
      display: flex;
      flex-flow: row;
      align-items: center;
      justify-content: space-between;
      .image img {
        // width: 318px;
        height: 62px;
      }
      .right {
        span {
          font-size: 15px;
          font-weight: 500;
          color: #666666;
          line-height: 21px;
          padding: 10px 36px;
          border-radius: 4px;
          border: 2px solid transparent;
          &:last-child {
            margin-left: 10px;
          }
          &.is-hover{
            cursor: pointer;
            color: var(--color);
            border-color: var(--color);
          }
        }
      }
      .right {
        height: 80px;

        ::v-deep .el-dropdown {
          height: 80px;

          .el-dropdown-link {
            height: 80px;
            display: flex;
            flex-flow: row;
            align-items: center;

            .img_user {
              width: 34px;
              height: 34px;
              background-color: #d8d8d8;
              border-radius: 50%;
            }

            .phone {
              margin: 0 10px 0 12px;
            }
          }

          &:hover {
            cursor: pointer;
          }
        }
      }
    }
  }
</style>
